Subject: [TLS] Next protocol negotiation

From: Adam Langley <[email-masked]>
Date: Fri, 23 Oct 2009 09:21:48 -0700

We're currently in a blackout period for Internet drafts because of
the Hiroshima meeting, but I present the following for your casual
consideration. I'll upload it as a true ID once the blackout period
ends.

http://www.imperialviolet.org/binary/draft-agl-tls-nextprotoneg-00.html

Abstract

This document describes a Transport Layer Security (TLS) extension for
application layer protocol negotiation. This allows the application
layer to negotiate which protocol should be performed over the secure
connection in a manner which avoids additional round trips and which
is independent of the application layer protocols.

We will probably be starting small scale experiments of this soon, and
appreciate any feedback from the WG.

Cheers

AGL